/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./templates/header-template.directive";
import * as i2 from "./templates/footer-template.directive";
import * as i3 from "./templates/item-template.directive";
import * as i4 from "./templates/group-template.directive";
import * as i5 from "./templates/fixed-group-template.directive";
import * as i6 from "./templates/no-data-template.directive";
import * as i7 from "./templates/value-template.directive";
import * as i8 from "./templates/tag-template.directive";
import * as i9 from "./templates/group-tag-template.directive";
import * as i10 from "./localization/localized-messages.directive";
import * as i11 from "./localization/custom-messages.component";
import * as i12 from "./filtering/filter.directive";
import * as i13 from "./filter-input.directive";
/**
 * @hidden
 *
 * The exported package module.
 *
 * The package exports:
 * - `ItemTemplateDirective`&mdash;The item template directive.
 * - `ValueTemplateDirective`&mdash;The value template directive.
 * - `HeaderTemplateDirective`&mdash;The header template directive.
 * - `FooterTemplateDirective`&mdash;The footer template directive.
 * - `NoDataTemplateDirective`&mdash;The noData template directive.
 * - `TagTemplateDirective`&mdash;The tag template directive.
 * - `SummaryTagTemplateDirective`&mdash;The summary tag template directive.
 */
export declare class SharedDirectivesModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<SharedDirectivesModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SharedDirectivesModule, never, [typeof i1.HeaderTemplateDirective, typeof i2.FooterTemplateDirective, typeof i3.ItemTemplateDirective, typeof i4.GroupTemplateDirective, typeof i5.FixedGroupTemplateDirective, typeof i6.NoDataTemplateDirective, typeof i7.ValueTemplateDirective, typeof i8.TagTemplateDirective, typeof i9.GroupTagTemplateDirective, typeof i10.LocalizedMessagesDirective, typeof i11.CustomMessagesComponent, typeof i12.FilterDirective, typeof i13.FilterInputDirective], [typeof i1.HeaderTemplateDirective, typeof i2.FooterTemplateDirective, typeof i3.ItemTemplateDirective, typeof i4.GroupTemplateDirective, typeof i5.FixedGroupTemplateDirective, typeof i6.NoDataTemplateDirective, typeof i7.ValueTemplateDirective, typeof i8.TagTemplateDirective, typeof i9.GroupTagTemplateDirective, typeof i10.LocalizedMessagesDirective, typeof i11.CustomMessagesComponent, typeof i12.FilterDirective, typeof i13.FilterInputDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SharedDirectivesModule>;
}
