/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./dropdownlist.component";
import * as i2 from "../common/templates/fixed-group-template.directive";
import * as i3 from "../common/templates/footer-template.directive";
import * as i4 from "../common/templates/group-template.directive";
import * as i5 from "../common/templates/header-template.directive";
import * as i6 from "../common/templates/item-template.directive";
import * as i7 from "../common/templates/value-template.directive";
import * as i8 from "../common/templates/no-data-template.directive";
import * as i9 from "../common/filtering/filter.directive";
import * as i10 from "../common/localization/custom-messages.component";
/**
 *
 * The exported package module.
 *
 * The package exports:
 * - `DropDownListComponent`&mdash;The DropDownList component class.
 * - `ItemTemplateDirective`&mdash;The item template directive.
 * - `ValueTemplateDirective`&mdash;The value template directive.
 * - `HeaderTemplateDirective`&mdash;The header template directive.
 * - `FooterTemplateDirective`&mdash;The footer template directive.
 * - `NoDataTemplateDirective`&mdash;The no data template directive.
 * - `GroupTemplateDirective`&mdash;The group template directive.
 * - `FixedGroupTemplateDirective`&mdash;The fixed group template directive.
 * - `FilterDirective`&mdash;The filter directive.
 * - `CustomMessagesComponent`&mdash;The custom messages component.
 */
export declare class DropDownListModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DropDownListModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DropDownListModule, never, [typeof i1.DropDownListComponent, typeof i2.FixedGroupTemplateDirective, typeof i3.FooterTemplateDirective, typeof i4.GroupTemplateDirective, typeof i5.HeaderTemplateDirective, typeof i6.ItemTemplateDirective, typeof i7.ValueTemplateDirective, typeof i8.NoDataTemplateDirective, typeof i9.FilterDirective, typeof i10.CustomMessagesComponent], [typeof i1.DropDownListComponent, typeof i2.FixedGroupTemplateDirective, typeof i3.FooterTemplateDirective, typeof i4.GroupTemplateDirective, typeof i5.HeaderTemplateDirective, typeof i6.ItemTemplateDirective, typeof i7.ValueTemplateDirective, typeof i8.NoDataTemplateDirective, typeof i9.FilterDirective, typeof i10.CustomMessagesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DropDownListModule>;
}
