/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnChanges, SimpleChanges } from '@angular/core';
import { DataBoundComponent, HierarchyBindingDirective } from '@progress/kendo-angular-treeview';
import * as i0 from "@angular/core";
/**
 * A directive which encapsulates the retrieval of the child nodes when hierarchical data is provided.
 */
export declare class MultiSelectTreeHierarchyBindingDirective extends HierarchyBindingDirective implements OnChanges {
    private multiSelectTree;
    /**
     * The nodes which will be displayed by the MultiSelectTree.
     */
    set nodes(nodes: any[]);
    get nodes(): any[];
    /**
     * @hidden
     */
    set filter(term: string);
    constructor(multiSelectTree: DataBoundComponent);
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiSelectTreeHierarchyBindingDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MultiSelectTreeHierarchyBindingDirective, "[kendoMultiSelectTreeHierarchyBinding]", never, { "nodes": { "alias": "kendoMultiSelectTreeHierarchyBinding"; "required": false; }; }, {}, never, never, true, never>;
}
