/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ExpandableComponent, ExpandDirective } from '@progress/kendo-angular-treeview';
import * as i0 from "@angular/core";
/**
 * A directive which manages the expanded state of the popup TreeView.
 */
export declare class DropDownTreesExpandDirective extends ExpandDirective {
    private dropDownTree;
    /**
     * @hidden
     *
     * Ensures a user-defined `isNodeExpanded` callback will not be overriden by the default directive setup.
     * Implemented as a value setter in the base directive, this just overrides the input name.
     */
    set isExpanded(value: (item: object, index: string) => boolean);
    constructor(dropDownTree: ExpandableComponent);
    static ɵfac: i0.ɵɵFactoryDeclaration<DropDownTreesExpandDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DropDownTreesExpandDirective, "[kendoDropDownTreeExpandable], [kendoMultiSelectTreeExpandable]", never, { "isExpanded": { "alias": "isNodeExpanded"; "required": false; }; }, {}, never, never, true, never>;
}
